package jp.ac.takushoku_u.cs;

/**
* NegativeSizeExceptionクラスは負のサイズのオブジェクトを生成しようとしたことを示すためにスローされます。
* @version 1.0
* @author 笠島 裕史(Kasajima Hiroshi)
*/
/*
* 最終更新日 2004年12月09日
*/

public class NegativeSizeException extends IllegalSizeException{

/**
* メッセージを持たない NegativeSizeException を構築します。
*/
	public NegativeSizeException(){
		super();
	}
	
/**
* 指定した詳細メッセージを持つ NegativeSizeException を構築します。
* @param s 詳細メッセージ
*/
	public NegativeSizeException(String s){
		super(s);
	}
}